Package com.smartgwt.client.bean.types

# Class DataSourceBaseValueType<ValueType extends DataSource>

java.lang.Object
com.smartgwt.client.bean.BeanValueType<ValueType>
com.smartgwt.client.bean.types.JsoWrapperValueType<ValueType>
com.smartgwt.client.bean.types.DataSourceBaseValueType<ValueType>

public abstract class DataSourceBaseValueType<ValueType extends DataSource> extends JsoWrapperValueType<ValueType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

  `BeanValueType.Convertability, BeanValueType.MetaFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataSourceBaseValueType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BeanValueType.Convertability`
  `convertabilityFrom(Object value)`
  `ValueType`
  `convertFrom(Object value)`
  `String`
  `getScClassName()`

  ### Methods inherited from class com.smartgwt.client.bean.types.JsoWrapperValueType

  `canWrapJavaScriptObject, newInstance`

  ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

  `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, getValueType, isA, isAssignableFrom, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataSourceBaseValueType

    public DataSourceBaseValueType()

- ## Method Details

  - ### convertabilityFrom

    public BeanValueType.Convertability convertabilityFrom(Object value)
    Overrides:
      `convertabilityFrom` in class `JsoWrapperValueType<ValueType extends DataSource>`

  - ### getScClassName

    public String getScClassName()
    Overrides:
      `getScClassName` in class `JsoWrapperValueType<ValueType extends DataSource>`

  - ### convertFrom

    public ValueType convertFrom(Object value)
    Overrides:
      `convertFrom` in class `JsoWrapperValueType<ValueType extends DataSource>`